Mailinglist Archive: opensuse-updates (19 mails)

< Previous Next >
openSUSE-SU-2011:0102-1 (moderate): java-1_6_0-openjdk: security update
openSUSE Security Update: java-1_6_0-openjdk: security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0102-1
Rating: moderate
References: #667313
Cross-References: CVE-2011-0025
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update improves the signature handling of jar-files.
(CVE-2011-0025)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch java-1_6_0-openjdk-3918

- openSUSE 11.2:

zypper in -t patch java-1_6_0-openjdk-3918

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

java-1_6_0-openjdk-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-devel-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-plugin-1.6.0.0_b20.1.9.5-1.2.1

- openSUSE 11.3 (noarch):

java-1_6_0-openjdk-demo-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-javadoc-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-src-1.6.0.0_b20.1.9.5-1.2.1

- openSUSE 11.2 (i586 x86_64):

java-1_6_0-openjdk-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-devel-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-plugin-1.6.0.0_b20.1.9.5-1.2.1

- openSUSE 11.2 (noarch):

java-1_6_0-openjdk-demo-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-javadoc-1.6.0.0_b20.1.9.5-1.2.1
java-1_6_0-openjdk-src-1.6.0.0_b20.1.9.5-1.2.1


References:

http://support.novell.com/security/cve/CVE-2011-0025.html
https://bugzilla.novell.com/667313


< Previous Next >
This Thread
  • No further messages